Horse is here.
Testing operator >>() and length(): string is "Horse is here."; length = 14.
This is your output:
7
Testing extract(): should get i.
This is your output:
e
Testing index(): should get 5.
This is your output:
6
Testing split(): head should be "Horse " and tail should be "is here."
This is your output:
7
Testing cdelete(): should get "Horse s here."
This is your output:
7
a
Testing insert(): should get "Horse as here."
This is your output:
 Oh boy!
Testing concat with string " Oh boy!": should get "Horse as here. Oh boy!"
This is your output:
